[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TLVDrawItemEvent

Specifies an event handler signalled to perform default drawing for an item on a list view control.

## Declaration

Source position: comctrls.pp line 1333

`type TLVDrawItemEvent = procedure(`
`Sender: TCustomListView;`
`AItem: TListItem;`
`ARect: TRect;`
`AState: TOwnerDrawState`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification. It must be cast to the TCustomListView type to access properties or methods specific to the list view control.
`AItem` |  | TListItem for the event notification.
`ARect` |  | Rectangle with the bounds where the list item is drawn.
`AState` |  | Drawing state (like selected, focused, disabled) for the owner-drawn list item.

## Description

TLVDrawItemEvent is the type used to implement the OnDrawItem event handler in TCustomListView. See TLVCustomDrawItemEvent and TLVAdvancedCustomDrawItemEvent for event types signalled for custom-drawn items on a list view control.

## See also

TCustomListView.OnDrawItem |  | Event handler signalled to render an owner drawn item.
TCustomListView.DrawItem |  | Draws the specified list item with a given state.
TLVCustomDrawItemEvent |  | Specifies an event handler signalled to custom draw an item on a list view control.
TLVAdvancedCustomDrawItemEvent |  | Specifies an event handler signalled to perform advanced custom drawing for a list view item with stage and state information.